Skip to main content
PUT
Enable or disable a query rewrite

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

type
string
required

The query rewrite type. Use /query-rewrite/schema to get the available query rewrite types.

Query Parameters

context
string
required

The app to which this object belongs, as app:SomeApp. If the app doesn't exist, the request fails. Other comma-separated contexts in the context parameter are allowed but ignored.

Body

application/json
app
string

The Fusion app to which this query rewrite belongs.

type
string

The query rewrite type.

enabled
boolean

true if this query rewrite is enabled.

numDeployed
integer<int64>

The number of deployed (published) query rewrites of this type.

collection
string

The data collection to which this query rewrite belongs.

job
string

The job type: spark, datasource, or task.

lastDeployedOn
string<date-time>

The date and time at which this query rewrite was last deployed.

lastJobStatus
object

Response

200 - */*

OK

app
string

The Fusion app to which this query rewrite belongs.

type
string

The query rewrite type.

enabled
boolean

true if this query rewrite is enabled.

numDeployed
integer<int64>

The number of deployed (published) query rewrites of this type.

collection
string

The data collection to which this query rewrite belongs.

job
string

The job type: spark, datasource, or task.

lastDeployedOn
string<date-time>

The date and time at which this query rewrite was last deployed.

lastJobStatus
object